Submit version for approval
curl --request POST \
--url https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/submit-for-approval \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"approverId": "mem_abc123def456"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({approverId: 'mem_abc123def456'})
};
fetch('https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/submit-for-approval', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/submit-for-approval"
payload = { "approverId": "mem_abc123def456" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"versionId": "<string>",
"version": 123
}{
"message": "Invalid request"
}{
"message": "Unauthorized"
}{
"message": "Resource not found"
}Policies
Submit version for approval | Comp AI API
Submit version for approval in Comp AI. Create, version, publish, export, map, and improve compliance policies with AI-assisted drafting and approval.
POST
/
v1
/
policies
/
{id}
/
versions
/
{versionId}
/
submit-for-approval
Submit version for approval
curl --request POST \
--url https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/submit-for-approval \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"approverId": "mem_abc123def456"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({approverId: 'mem_abc123def456'})
};
fetch('https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/submit-for-approval', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/submit-for-approval"
payload = { "approverId": "mem_abc123def456" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"versionId": "<string>",
"version": 123
}{
"message": "Invalid request"
}{
"message": "Unauthorized"
}{
"message": "Resource not found"
}Authorizations
API key for authentication
Headers
Organization ID (required for session auth, optional for API key auth)
Path Parameters
Policy ID
Example:
"pol_abc123def456"
Policy version ID
Example:
"pv_abc123def456"
Body
application/json
Submit a policy version for approval
Member ID of the approver
Example:
"mem_abc123def456"
Was this page helpful?

